GuideLab Docs

Get a team chat thread

Lab only. 404 unless the caller is a member.

GET
/team-chat/threads/{threadId}

Lab only. 404 unless the caller is a member.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

threadId*string
Length1 <= length <= 200

Response Body

application/json

curl -X GET "https://example.com/team-chat/threads/string"
{  "thread": {    "id": "string",    "kind": "dm",    "title": "string",    "memberUserIds": [      "string"    ],    "lastSequence": 0,    "lastActivityAt": "string",    "lastMessage": {      "id": "string",      "threadId": "string",      "sequence": 0,      "senderUserId": "string",      "body": "string",      "attachments": [        {          "id": "string",          "name": "string",          "mimeType": "string",          "size": 0        }      ],      "createdAt": "string"    },    "unreadCount": 0  }}
Empty
Empty
Empty